> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supadata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Map

> Extract all links found on a whole website.



## OpenAPI

````yaml v1-openapi GET /web/map
openapi: 3.1.0
info:
  title: Supadata
  description: Web & Social Media Content API for Developers
  version: 1.3.0
servers:
  - url: https://api.supadata.ai/v1
security:
  - apiKeyAuth: []
paths:
  /web/map:
    get:
      description: Extract all links found on a whole website.
      operationId: getWebMap
      parameters:
        - in: query
          name: url
          schema:
            $ref: '#/components/schemas/UrlQuery'
          required: true
        - in: query
          name: noLinks
          schema:
            type: boolean
            description: >-
              When true, removes markdown links from the content, leaving only
              the URL text.
            default: false
          required: false
        - in: query
          name: lang
          schema:
            type: string
            description: >-
              Preferred language for the scraped content (ISO 639-1 code). Sets
              Accept-Language header to influence website language selection.
            example: en
            default: en
          required: false
      responses:
        '200':
          description: Successfully mapped web page
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Map'
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Limit Exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { Supadata } from '@supadata/js';

            const supadata = new Supadata({
              apiKey: 'YOUR_API_KEY',
            });
            const siteMap = await supadata.web.map('https://example.com');
            console.log(siteMap);
        - lang: Python
          label: Python
          source: |-
            from supadata import Supadata

            supadata = Supadata(api_key="YOUR_API_KEY")
            site_map = supadata.web.map("https://example.com")
            print(f"Found {len(site_map.urls)} URLs")
        - lang: Shell
          label: cURL
          source: >-
            curl -X GET
            "https://api.supadata.ai/v1/web/map?url=https://example.com" \
              -H "x-api-key: YOUR_API_KEY" \
              -H "Content-Type: application/json"
components:
  schemas:
    UrlQuery:
      type: string
      description: URL of the webpage
      example: https://supadata.ai
    Map:
      type: object
      properties:
        urls:
          type: array
          items:
            type: string
          description: List of URLs found on the webpage
          example:
            - https://supadata.ai
            - https://supadata.ai/documentation
      required:
        - urls
    Error:
      type: object
      properties:
        error:
          type: string
          enum:
            - invalid-request
            - internal-error
            - forbidden
            - unauthorized
            - upgrade-required
            - transcript-unavailable
            - not-found
            - limit-exceeded
          description: Error code identifying the type of error
          example: invalid-request
        message:
          type: string
          description: Human readable error message
          example: Invalid Request
        details:
          type: string
          description: Detailed error description
          example: The request is invalid or malformed
        documentationUrl:
          type: string
          description: URL to error documentation
          example: https://supadata.ai/documentation/errors#invalid-request
      required:
        - error
        - message
        - details
      description: Standard error response format
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````